ServerEvents.recipes(GregTechApocalypse => {

  GregTechApocalypse.remove({id: /scguns:create\/.*/})
  GregTechApocalypse.remove({ id: 'scguns:treated_iron/treated_iron_bucket' })
  GregTechApocalypse.remove({ id: 'scguns:treated_iron/treated_iron_hopper' })
  GregTechApocalypse.remove({ id: 'scguns:treated_iron/treated_iron_cauldron' })
  GregTechApocalypse.remove({id: 'scguns:fire_charge_from_sheol'})
  
  GregTechApocalypse.remove({ id: 'scguns:gun_bench' })
  GregTechApocalypse.shaped('scguns:gun_bench', ['UBU', 'UAU', 'UUU'], {
    B: 'minecraft:crafting_table',
    U: 'scguns:blank_mold',
    A: 'minecraft:dragon_egg'
  })

  GregTechApocalypse.remove({ id: 'scguns:guns/red_raydar_from_gun_bench' })
  GregTechApocalypse.shaped('scguns:red_raydar', ['   ', 'BCD', 'A  '], {
    B: 'scguns:empty_tank',
    C: 'scguns:gun_parts',
    D: 'scguns:stone_gun_barrel',
    A: 'scguns:gun_grip'
  })
  GregTechApocalypse.remove({ id: 'scguns:guns/umax_pistol_from_gun_bench' })
  GregTechApocalypse.shaped('scguns:umax_pistol', ['F  ', 'BCD', 'A  '], {
    B: 'scguns:empty_tank',
    C: 'scguns:gun_parts',
    D: 'scguns:gun_barrel',
    F: 'gtceu:copper_foil',
    A: 'scguns:gun_grip'
  })
  GregTechApocalypse.remove({ id: 'scguns:guns/crusader_from_gun_bench' })
  GregTechApocalypse.shaped('scguns:crusader', [' F ', 'BCD', 'A  '], {
    B: 'minecraft:crossbow',
    C: 'scguns:gun_parts',
    D: 'scguns:gun_barrel',
    F: 'scguns:iron_gun_frame',
    A: 'scguns:gun_grip'
  })
  GregTechApocalypse.remove({ id: 'scguns:flintlock_pistol' })
  GregTechApocalypse.remove({ id: 'scguns:handcannon' })
  GregTechApocalypse.remove({ id: 'scguns:winnie' })
  GregTechApocalypse.remove({ id: 'scguns:pax' })
  GregTechApocalypse.remove({ id: 'scguns:fencer_thumper' })
  GregTechApocalypse.remove({ id: 'scguns:fencer_carabine' })
  GregTechApocalypse.remove({ id: 'scguns:longarm' })
  GregTechApocalypse.remove({ id: 'scguns:repeating_musket' })
  GregTechApocalypse.remove({ id: 'scguns:doublet' })
  GregTechApocalypse.remove({ id: 'scguns:blunderbuss' })
  GregTechApocalypse.remove({ id: 'scguns:musket' })
  GregTechApocalypse.remove({ id: 'scguns:winnie_millend' })
  GregTechApocalypse.remove({ id: 'scguns:callwll_conversion' })
  GregTechApocalypse.remove({ id: 'scguns:callwell' })
  GregTechApocalypse.remove({ id: 'scguns:callwell_terminal' })
  GregTechApocalypse.remove({ id: 'scguns:saketini' })
  GregTechApocalypse.remove({ id: 'scguns:saketini_ironport' })
  GregTechApocalypse.remove({ id: 'scguns:kiln_gun' })
  GregTechApocalypse.remove({ id: 'scguns:big_bore' })
  GregTechApocalypse.remove({ id: 'scguns:bruiser' })
  GregTechApocalypse.remove({ id: 'scguns:boomstick' })
  GregTechApocalypse.remove({ id: 'scguns:makeshift_rifle' })
  GregTechApocalypse.remove({ id: 'scguns:rusty_gnat' })
  GregTechApocalypse.remove({ id: 'scguns:scrapper' })
  GregTechApocalypse.remove({ id: 'scguns:teslock_rifle' })
  GregTechApocalypse.remove({ id: 'scguns:plasmabuss' })
  GregTechApocalypse.remove({ id: 'scguns:laser_musket' })
  GregTechApocalypse.remove({ id: 'scguns:llr_director' })
  GregTechApocalypse.remove({ id: 'scguns:birdfeeder' })
  GregTechApocalypse.remove({ id: 'scguns:whistler' })
  GregTechApocalypse.remove({ id: 'scguns:blooper' })
  GregTechApocalypse.remove({ id: 'scguns:arc_worker' })
  GregTechApocalypse.remove({ id: 'scguns:defender_pistol' })
  GregTechApocalypse.remove({ id: 'scguns:trenchur' })
  GregTechApocalypse.remove({ id: 'scguns:greaser_smg' })
  GregTechApocalypse.remove({ id: 'scguns:m3_carabine' })
  GregTechApocalypse.remove({ id: 'scguns:brawler' })
  GregTechApocalypse.remove({ id: 'scguns:gyrojet_pistol' })
  GregTechApocalypse.remove({ id: 'scguns:pulsar' })
  GregTechApocalypse.remove({ id: 'scguns:auvtomag' })
  GregTechApocalypse.remove({ id: 'scguns:iron_spear' })
  GregTechApocalypse.remove({ id: 'scguns:iron_javelin' })
  GregTechApocalypse.remove({ id: 'scguns:venturi' })
  GregTechApocalypse.remove({ id: 'scguns:combat_shotgun' })
  GregTechApocalypse.remove({ id: 'scguns:m3_marksman' })
  GregTechApocalypse.remove({ id: 'scguns:mk43_rifle' })
  GregTechApocalypse.remove({ id: 'scguns:triquetra' })
  GregTechApocalypse.remove({ id: 'scguns:rocket_rifile' })
  GregTechApocalypse.remove({ id: 'scguns:ultra_knight_hawk' })
  GregTechApocalypse.remove({ id: 'scguns:floundergat' })
  GregTechApocalypse.remove({ id: 'scguns:hyperbaria' })
  GregTechApocalypse.remove({ id: 'scguns:marlin' })
  GregTechApocalypse.remove({ id: 'scguns:bomb_lance' })
  GregTechApocalypse.remove({ id: 'scguns:killer_23' })
  GregTechApocalypse.remove({ id: 'scguns:turnpike' })
  GregTechApocalypse.remove({ id: 'scguns:railworker' })
  GregTechApocalypse.remove({ id: 'scguns:stiletto' })
  GregTechApocalypse.remove({ id: 'scguns:mak_mkii' })
  GregTechApocalypse.remove({ id: 'scguns:mokova' })
  GregTechApocalypse.remove({ id: 'scguns:spirulida' })
  GregTechApocalypse.remove({ id: 'scguns:sequoia' })
  GregTechApocalypse.remove({ id: 'scguns:hullbreaker' })
  GregTechApocalypse.remove({ id: 'scguns:homemaker' })
  GregTechApocalypse.remove({ id: 'scguns:kalaskah' })
  GregTechApocalypse.remove({ id: 'scguns:basker' })
  GregTechApocalypse.remove({ id: 'scguns:tl_runner' })
  GregTechApocalypse.remove({ id: 'scguns:stigg' })
  GregTechApocalypse.remove({ id: 'scguns:whizzbanger' })
  GregTechApocalypse.remove({ id: 'scguns:krauser' })
  GregTechApocalypse.remove({ id: 'scguns:soul_drummer' })
  GregTechApocalypse.remove({ id: 'scguns:volora' })
  GregTechApocalypse.remove({ id: 'scguns:nailer' })
  GregTechApocalypse.remove({ id: 'scguns:rg_jigsaw' })
  GregTechApocalypse.remove({ id: 'scguns:zilk_45' })
  GregTechApocalypse.remove({ id: 'scguns:lockewood' })
  GregTechApocalypse.remove({ id: 'scguns:drill_conversion' })
  GregTechApocalypse.remove({ id: 'scguns:drill' })
  GregTechApocalypse.remove({ id: 'scguns:prush_gun' })
  GregTechApocalypse.remove({ id: 'scguns:micina' })
  GregTechApocalypse.remove({ id: 'scguns:uppercut' })
  GregTechApocalypse.remove({ id: 'scguns:inertial' })
  GregTechApocalypse.remove({ id: 'scguns:minksy' })
  GregTechApocalypse.remove({ id: 'scguns:mas_peddler' })
  GregTechApocalypse.remove({ id: 'scguns:mas_55' })
  GregTechApocalypse.remove({ id: 'scguns:inquisitor' })
  GregTechApocalypse.remove({ id: 'scguns:plasgun' })
  GregTechApocalypse.remove({ id: 'scguns:truant' })
  GregTechApocalypse.remove({ id: 'scguns:cyclone' })
  GregTechApocalypse.remove({ id: 'scguns:shard_culler' })
  GregTechApocalypse.remove({ id: 'scguns:jackhammer' })
  GregTechApocalypse.remove({ id: 'scguns:jr_wristbreaker' })
  GregTechApocalypse.remove({ id: 'scguns:gale' })
  GregTechApocalypse.remove({ id: 'scguns:cogloader' })
  GregTechApocalypse.remove({ id: 'scguns:grandle' })
  GregTechApocalypse.remove({ id: 'scguns:grandle_og' })
  GregTechApocalypse.remove({ id: 'scguns:osgood_50' })
  GregTechApocalypse.remove({ id: 'scguns:waltz_conversion' })
  GregTechApocalypse.remove({ id: 'scguns:m22_waltz' })
  GregTechApocalypse.remove({ id: 'scguns:howler' })
  GregTechApocalypse.remove({ id: 'scguns:howler_conversion' })
  GregTechApocalypse.remove({ id: 'scguns:gauss_rifle' })
  GregTechApocalypse.remove({ id: 'scguns:libertas' })
  GregTechApocalypse.remove({ id: 'scguns:niami' })
  GregTechApocalypse.remove({ id: 'scguns:hammer_gl' })
  GregTechApocalypse.remove({ id: 'scguns:spitfire' })
  GregTechApocalypse.remove({ id: 'scguns:gattaler' })
  GregTechApocalypse.remove({ id: 'scguns:thunderhead' })
  GregTechApocalypse.remove({ id: 'scguns:trotters' })
  GregTechApocalypse.remove({ id: 'scguns:vulcanic_repeater' })
  GregTechApocalypse.remove({ id: 'scguns:mangalitsa' })
  GregTechApocalypse.remove({ id: 'scguns:freyr' })
  GregTechApocalypse.remove({ id: 'scguns:pyrocalstic_flow' })
  GregTechApocalypse.remove({ id: 'scguns:blasphemy' })
  GregTechApocalypse.remove({ id: 'scguns:dozier_rl' })
  GregTechApocalypse.remove({ id: 'scguns:cr4k_mining_laser' })
  GregTechApocalypse.remove({ id: 'scguns:scratches' })
  GregTechApocalypse.remove({ id: 'scguns:super_shotgun' })
  GregTechApocalypse.remove({ id: 'scguns:whispers' })
  GregTechApocalypse.remove({ id: 'scguns:echoes_2' })
  GregTechApocalypse.remove({ id: 'scguns:sculk_resonator' })
  GregTechApocalypse.remove({ id: 'scguns:forlorn_hope' })
  GregTechApocalypse.remove({ id: 'scguns:carapice' })
  GregTechApocalypse.remove({ id: 'scguns:shellurker' })
  GregTechApocalypse.remove({ id: 'scguns:weevil' })
  GregTechApocalypse.remove({ id: 'scguns:dark_matter' })
  GregTechApocalypse.remove({ id: 'scguns:lone_wonder' })
  GregTechApocalypse.remove({ id: 'scguns:raygun' })
  GregTechApocalypse.remove({ id: 'scguns:prima_materia' })
  GregTechApocalypse.remove({ id: 'scguns:rat_king_and_queen' })
  GregTechApocalypse.remove({ id: 'scguns:locust' })
  GregTechApocalypse.remove({ id: 'scguns:sterilizer' })
  GregTechApocalypse.remove({ id: 'scguns:newborn_cyst' })
  GregTechApocalypse.remove({ id: 'scguns:earths_corpse' })
  GregTechApocalypse.remove({ id: 'scguns:flayed_god' })
  GregTechApocalypse.remove({ id: 'scguns:nervepinch' })
  GregTechApocalypse.remove({ id: 'scguns:terra_incognita' })
  GregTechApocalypse.remove({ id: 'scguns:create/mechanical_crafting/astella' })
  GregTechApocalypse.remove({ id: 'scguns:guns/astella_from_gun_bench' })
  GregTechApocalypse.remove({ id: 'scguns:create/recycling/astella_recycling' })
  
})